> For the complete documentation index, see [llms.txt](https://docs.manifold.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.manifold.xyz/client-sdk/reference/blindmintonchaindata.md).

# BlindMintOnchaindata

| Field           | Type                                    | Required | Description                            |
| --------------- | --------------------------------------- | -------- | -------------------------------------- |
| totalSupply     | number                                  | ✅        | Total supply of the product            |
| **totalMinted** | number                                  | ✅        | Total token minted                     |
| walletMax       | number                                  | ✅        | Max tokens per wallet                  |
| startDate       | Date                                    | ✅        | Start drop date                        |
| endDate         | Date                                    | ✅        | End drop date                          |
| audiencetype    | enum                                    | ✅        | `None`                                 |
| cost            | [Money](/client-sdk/reference/money.md) | ✅        | Cost of the product                    |
| paymentReceiver | string                                  | ✅        | Receiver of mint payment               |
| tokenVariations | number                                  | ✅        | Number of asset variations             |
| startingTokenId | number                                  | ✅        | The starting tokenId of the asset pool |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/client-sdk/reference/blindmintonchaindata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
